<?php
$jahrgang=$_COOKIE["jahrgang"];
/*
# Fuer debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);
#echo __LINE__."<br>";
*/
include_once 'classes/TestProjektSmarty.class.php';
$smarty = new Smarty();
require_once("config.inc.php");
$template = "standard";
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
require_once "language/german.inc.php";
require_once("func_rollenrechte.php");


// Rechteüberprüfung
#$db = dbconnect();
if ($user_admin == ""){ require("index.php"); exit;} //Wenn man nicht angemeldet ist, darf man nicht auf die Seite
if(!rore($user_admin,'e_lb_fz','RE')){echo "Keine Rechte";exit;}
// Rechteüberprüfung ende

if($jahrgang == ""){
  echo "Bitte zuerst <a href='jahrgang.php'>Jahrgang</a> w&auml;hlen!";
  exit;
}
session_start();



if(isset($_GET['action'])){
  $action = $_GET['action'];
}else{
  $action = '';
}

if($action == ''){
    #$db = dbconnect();
    $query = "SELECT kfid, bezeichnung
                FROM prog_kat_funktionen
               ORDER BY bezeichnung ASC";
    $result = $db->query( $query)
              or die ("Cannot execute query");

    while ($row = $result->fetch_array()){
      $value_funktionen[] = $row;
    }
    $smarty->assign('table_data', $value_funktionen);
}

if($action == 'lbfzerf'){
  
  if(isset($_POST['funktion'])){
    $funktion = $_POST['funktion'];
    $_SESSION["lb_fz_kfid"] = $funktion;
    $_SESSION["lb_fz_status"] = 'neu';
  }else{
    $funktion = $_SESSION['lb_fz_kfid'];
    
    if(isset($_GET['kfid'])){
      $funktion =  $_GET['kfid'];
      $_SESSION["lb_fz_kfid"] = $funktion;
      $_SESSION["lb_fz_status"] = 'neu';
      unset($_SESSION['lb_fz_lbfzid']);
    }
  }
  
  if(isset($_GET['edit'])){
   $_SESSION["lb_fz_status"] = 'edit';
   $lbfzid = $_GET['edit'];
   $_SESSION["lb_fz_lbfzid"] = $lbfzid;
  }
  
  if($_GET['editende']==1){
  # Editieren ist beendet, als ein update auf einen Datensatz. Dann ist der status wieder Neu, damit wird wieder ein Insert durchgeführt
    $_SESSION["lb_fz_status"] = 'neu';
  }
  
  $result = $db->query("SELECT bezeichnung
                          FROM prog_kat_funktionen
                         WHERE kfid = $funktion
                      ");
  $row = $result->fetch_array();
  $smarty->assign('lb_fz_funktion', "$row[bezeichnung]");
  
  $query_prof = "SELECT did, doz_titel, doz_vorname, doz_name
                   FROM prog_tmp_professor
                  WHERE (weggang >= now()
                     OR weggang = '0000-00-00')
                  ORDER BY doz_name ASC";
  $result_prof = $db->query($query_prof)
            or die ("Cannot execute query prof");

  while ($row_prof = $result_prof->fetch_array()){
    $value_prof[] = $row_prof;
  }
  $smarty->assign('table_data3', $value_prof);
  
  
  
  
  # --- Wenn Werte editiert werden ------------
  if($_SESSION["lb_fz_status"] == 'edit'){
    $result_edit = $db->query("SELECT date_format(startdat, '%d') startdat_tag
                                     , date_format(startdat, '%m') startdat_mon
                                     , date_format(startdat, '%Y') startdat_jahr
                                     , wert
                                     , date_format(enddat, '%d') enddat_tag
				     , date_format(enddat, '%m') enddat_mon
                                     , date_format(enddat, '%Y') enddat_jahr
                                     , did
                                 FROM prog_lb_fz
                                WHERE lbfzid = $lbfzid");
                                
    $row_edit = $result_edit->fetch_array();
    $smarty->assign('lb_fz_startdat_tag', "$row_edit[startdat_tag]");
    $smarty->assign('lb_fz_startdat_mon', "$row_edit[startdat_mon]");
    $smarty->assign('lb_fz_startdat_jahr', "$row_edit[startdat_jahr]");
    $smarty->assign('lb_fz_wert', "$row_edit[wert]");
    $smarty->assign('lb_fz_did', "$row_edit[did]");
    $smarty->assign('lb_fz_enddat_tag', "$row_edit[enddat_tag]");
    $smarty->assign('lb_fz_enddat_mon', "$row_edit[enddat_mon]");
    $smarty->assign('lb_fz_enddat_jahr', "$row_edit[enddat_jahr]");
  
  }
  # --- Wenn Werte editiert werden Ende -------
  
  # --- Gespeicherte Bezüge ausgeben ----------
  
    $query2 = "SELECT lbfzid
                   , date_format(startdat, '%d.%m.%Y') startdat_form
                   , date_format(enddat, '%d.%m.%Y') enddat_form
                   , replace(wert,'.',',') wert
                   , did
                FROM prog_lb_fz
               WHERE kfid = $funktion
               ORDER BY startdat ASC";
    $result2 = $db->query( $query2)
              or die ("Cannot execute query2");

    while ($row2 = $result2->fetch_array()){
      $result_did = $db->query("SELECT doz_titel, doz_vorname, doz_name
                                  FROM prog_tmp_professor
                                 WHERE did = $row2[did]
                              ");
      $row_did = $result_did->fetch_array();
      $row2['name']  = "$row_did[doz_titel] $row_did[doz_vorname] $row_did[doz_name]";
      $value_lbzul[] = $row2;
    }
    $smarty->assign('table_data2', $value_lbzul);
  
  
  # --- Gespeicherte Bezüge Ende -----


}

   
if($action == 'save'){
  $funktion = $_SESSION["lb_fz_kfid"];
  $prof = $_POST["prof"];
  $startdat = $_POST['jahr1']."-".$_POST['mon1']."-".$_POST['tag1'];
  $enddat = $_POST['jahr3']."-".$_POST['mon3']."-".$_POST['tag3'];
  $wert  = $_POST['wert'];
  $modify_date = date("Y-m-d H:i:s");
  
  if($_SESSION["lb_fz_status"] == 'neu'){
    $result = $db->query("INSERT INTO prog_lb_fz (startdat,  enddat, wert, did, kfid, modify_date) VALUES ('$startdat', '$enddat', '$wert', '$prof', $funktion, '$modify_date')");
  }
  
  if($_SESSION["lb_fz_status"] == 'edit'){
    $lbfzid = $_SESSION["lb_fz_lbfzid"];
    $result = $db->query("UPDATE prog_lb_fz 
                             SET startdat = '$startdat'
                                , enddat  = '$enddat'
                                , wert    = '$wert'
                                , did     = '$prof'
                                , modify_date = '$modify_date'
                           WHERE lbfzid = $lbfzid
                         ");
    
    unset($_SESSION['lb_fz_lbfzid']);
  }
  
  # Dann bekommts beim refresh den status neu, also es wird beim Abschicken ein Insert gemacht
  $editende=1;
  echo "<meta http-equiv=\"refresh\" content=\"2; URL=" . $_SERVER['PHP_SELF'] . "?action=lbfzerf&prof=$funktion&editende=$editende\">";
}

if($action == 'del'){
  $funktion = $_SESSION["lb_fz_kfid"];
  $lbfzid = $_GET['lbfzid'];
  
  $result = $db->query("DELETE FROM prog_lb_fz 
                         WHERE lbfzid=$lbfzid");

  
  # Dann bekommts beim refresh den status neu, also es wird beim Abschicken ein Insert gemacht
  $editende=1;
  echo "<meta http-equiv=\"refresh\" content=\"0; URL=" . $_SERVER['PHP_SELF'] . "?action=lbfzerf&prof=$funktion&editende=$editende\">";
}

$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>